|  | Home | Documentation | wsdd__ProbeMatchType Struct Reference updated Tue Aug 27 2019 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wsdd__ProbeMatchType Struct Reference

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":ProbeMatchType is a complexType. More...

`#include <wsdd.h>`

Collaboration diagram for wsdd__ProbeMatchType:
[legend]

## Public Attributes
_wsa5__EndpointReference | wsa5__EndpointReference
| Imported element reference "http://www.w3.org/2005/08/addressing":EndpointReference. More...
wsdd__QNameListType | Types
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Types. More...
struct wsdd__ScopesType * | Scopes
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Scopes. More...
wsdd__UriListType | XAddrs
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":XAddrs. More...
unsigned int | MetadataVersion
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":MetadataVersion. More...

## Detailed Description

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":ProbeMatchType is a complexType.

struct wsdd__ProbeMatchType operations:

- wsdd__ProbeMatchType* soap_new_wsdd__ProbeMatchType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wsdd__ProbeMatchType(struct soap*, wsdd__ProbeMatchType*) default initialize members
- int soap_read_wsdd__ProbeMatchType(struct soap*, wsdd__ProbeMatchType*) deserialize from a source
- int soap_write_wsdd__ProbeMatchType(struct soap*, wsdd__ProbeMatchType*) serialize to a sink
- wsdd__ProbeMatchType* soap_dup_wsdd__ProbeMatchType(struct soap*, wsdd__ProbeMatchType* dst, wsdd__ProbeMatchType <em>src) returns deep copy of wsdd__ProbeMatchType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wsdd__ProbeMatchType(wsdd__ProbeMatchType) deep deletes wsdd__ProbeMatchType data members, use only on dst after soap_dup_wsdd__ProbeMatchType(NULL, wsdd__ProbeMatchType *dst, wsdd__ProbeMatchType *src) (use soapcpp2 -Ed)

## Member Data Documentation

unsigned int wsdd__ProbeMatchType::MetadataVersion

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":MetadataVersion.

Required element.

struct wsdd__ScopesType* wsdd__ProbeMatchType::Scopes

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Scopes.

Optional element.

wsdd__QNameListType wsdd__ProbeMatchType::Types

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Types.

Optional element.

_wsa5__EndpointReference wsdd__ProbeMatchType::wsa5__EndpointReference

Imported element reference "http://www.w3.org/2005/08/addressing":EndpointReference.

Required element.

wsdd__UriListType wsdd__ProbeMatchType::XAddrs

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":XAddrs.

Optional element.

The documentation for this struct was generated from the following file:

- wsdd.h